#!/bin/sh

# Script prepping .so files for ip-reputation

tdnf update -y && tdnf install -y curl unzip libstdc++

LIB_DIR=/usr/lib

unpak_zip() {
  OD=$(pwd)
  WDIR=$(mktemp -d XXXXXXXXX)
  cd "$WDIR"

  unzip -o "$OD"/go-webroot-sdk.zip
  cp -d lib* $LIB_DIR
  mkdir -p /data/local/
  mkdir -p /webroot-files/
  cp bcti.cfg /webroot-files/
  cp public_suffix_list.dat /webroot-files/

  cd "$OD"
  rm -rf "$WDIR"
}

GO_WEBROOT_SDK_VERSION=v1.3.1
curl -k https://artifactory-pub.bit9.local/artifactory/go-local/gitlab.bit9.local/octarine/go-webroot-sdk/${GO_WEBROOT_SDK_VERSION}/go-webroot-sdk.zip --output ./go-webroot-sdk.zip
unpak_zip
